nvmf_add_ctrl(2)

NAME
nvmf_add_ctrl - Connect a controller and update topology

SYNOPSIS
int nvmf_add_ctrl (nvme_host_t h , nvme_ctrl_t c , const struct nvme_fabrics_config *cfg );

ARGUMENTS

h   Host to which the controller should be attached

c   Controller to be connected

cfg Default configuration for the controller

DESCRIPTION
Issues a 'connect' command to the NVMe-oF controller and inserts c into the topology using h as parent. c must be initialized and not connected to the topology.

RETURN
0 on success; on failure errno is set and -1 is returned.